export interface ProcessExceptionInterface {
    message: string,
    file: string,
    line: number,
    code: number,
    trace: any[],
}

export interface ProcessProgressInterface {
    total: number,
    progress: number,
    memory: any[],
}

export interface ProcessesResponseInterface {
    id: string
    lock: string | null
    containerUuid: string | null
    pid: bigint | null
    name: string
    options: Record<string, any>
    arguments: Record<string, any>
    exception: ProcessExceptionInterface | null
    progress: ProcessProgressInterface | null
    outputId: string | null
    createdAt: string
    updatedAt: string | null
    startedAt: string | null
    pausedAt: string | null
    cancelledAt: string | null
    completedAt: string | null
}